# Uses of Class
org.github.jamm.strategies.MemoryLayoutBasedStrategy

Packages that use MemoryLayoutBasedStrategy
Package
Description
org.github.jamm.strategies

## Uses of MemoryLayoutBasedStrategy in org.github.jamm.strategies

Subclasses of MemoryLayoutBasedStrategy in org.github.jamm.strategies
Modifier and Type
Class
Description
`class`
`InstrumentationAndSpecStrategy`
Strategy that use `java.lang.instrument.Instrumentation` to measure non array object and the `Specification` approach to measure arrays.
`final class`
`UnsafeStrategy`
`MemoryMeterStrategy` relying on `Unsafe` to measure object sizes for Java versions ≥ 15.
Constructors in org.github.jamm.strategies with parameters of type MemoryLayoutBasedStrategy
Modifier
Constructor
Description
``
`UnsafeStrategy(MethodHandle isRecordMH, MethodHandle isHiddenMH, MemoryLayoutBasedStrategy strategy)`